Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr
Class RepositoryConfiguration.Sequencing

    java.lang.Object
      org.modeshape.jcr.RepositoryConfiguration.Sequencing

Enclosing class:
  RepositoryConfiguration

    @Immutable
    public class RepositoryConfiguration.Sequencing

extends Object

The security-related configuration information.

Constructor Summary
`protected` | `RepositoryConfiguration.Sequencing(Document sequencing)`

Method Summary
`List<RepositoryConfiguration.Component>` | `getSequencers()` Get the ordered list of sequencers.
`String` | `getThreadPoolName()` Get the name of the thread pool that should be used for sequencing work.
`boolean` | `removeDerivedContentWithOriginal()` Determine whether the derived content originally produced by a sequencer upon sequencing some specific input should be removed if that input is updated and the sequencer re-run.
`protected void` | `validateSequencers(Problems problems)` Get the ordered list of sequencers.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RepositoryConfiguration.Sequencing

    protected RepositoryConfiguration.Sequencing(Document sequencing)

Method Detail

### removeDerivedContentWithOriginal

    public boolean removeDerivedContentWithOriginal()

  Determine whether the derived content originally produced by a sequencer upon sequencing some specific input should be removed if that input is updated and the sequencer re-run.

  Returns:
    true if the original derived content should be removed upon subsequent sequencing of the same input.

### getThreadPoolName

    public String getThreadPoolName()

  Get the name of the thread pool that should be used for sequencing work.

  Returns:
    the thread pool name; never null

### getSequencers

    public List<RepositoryConfiguration.Component> getSequencers()

  Get the ordered list of sequencers. All sequencers are configured with this list.

  Returns:
    the immutable list of sequencers; never null but possibly empty

### validateSequencers

    protected void validateSequencers(Problems problems)

  Get the ordered list of sequencers. All sequencers are configured with this list.

  Parameters:
    `problems` - the container for problems reading the sequencer information; may not be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Alpha6
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.